## org.hibernate.event.spi
Class SaveOrUpdateEvent

    java.lang.Object
      org.hibernate.event.spi.AbstractEvent
          org.hibernate.event.spi.SaveOrUpdateEvent

All Implemented Interfaces:
  Serializable

    public class SaveOrUpdateEvent

extends AbstractEvent

An event class for saveOrUpdate()

See Also:
  Serialized Form

Constructor Summary
`SaveOrUpdateEvent(Object object, EventSource source)`
`SaveOrUpdateEvent(String entityName, Object original, EventSource source)`
`SaveOrUpdateEvent(String entityName, Object original, Serializable id, EventSource source)`

Method Summary
`Object` `getEntity()`
`String` `getEntityName()`
`EntityEntry` `getEntry()`
`Object` `getObject()`
`Serializable` `getRequestedId()`
`Serializable` `getResultId()`
`void` `setEntity(Object entity)`
`void` `setEntityName(String entityName)`
`void` `setEntry(EntityEntry entry)`
`void` `setObject(Object object)`
`void` `setRequestedId(Serializable requestedId)`
`void` `setResultId(Serializable resultId)`

Methods inherited from class org.hibernate.event.spi.AbstractEvent
`getSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SaveOrUpdateEvent

    public SaveOrUpdateEvent(String entityName,
                             Object original,
                             EventSource source)

### SaveOrUpdateEvent

    public SaveOrUpdateEvent(String entityName,
                             Object original,
                             Serializable id,
                             EventSource source)

### SaveOrUpdateEvent

    public SaveOrUpdateEvent(Object object,
                             EventSource source)

Method Detail

### getObject

    public Object getObject()

### setObject

    public void setObject(Object object)

### getRequestedId

    public Serializable getRequestedId()

### setRequestedId

    public void setRequestedId(Serializable requestedId)

### getEntityName

    public String getEntityName()

### setEntityName

    public void setEntityName(String entityName)

### getEntity

    public Object getEntity()

### setEntity

    public void setEntity(Object entity)

### getEntry

    public EntityEntry getEntry()

### setEntry

    public void setEntry(EntityEntry entry)

### getResultId

    public Serializable getResultId()

### setResultId

    public void setResultId(Serializable resultId)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.